Subject: Re: [PATCH net-next] gve: Add retry logic for recoverable adminq errors

From: Jakub Kicinski <[email-masked]>
Date: Mon, 1 Jul 2024 14:25:02 -0700

On Sat, 29 Jun 2024 10:56:27 -0700 Rushil Gupta wrote:
> > Since Jeroen is a maintainer of this driver, and you are not listed
> > in the MAINTAINERS file I don't understand why you're the one sending
> > this. We can't teach everyone at google the upstream process one by
> > one so I'd like to request that only the listed maintainers post pure
> > GVE patches (or the folks who are heavily involved upstream).  
> 
> I could not find one single documentation that says only listed
> maintainers can post pure patches.
> Authors of some of the recently accepted patches were in fact not in
> the MAINTAINERS file.

It's not documented because we have to resort to it very rarely.
The escalation path is - remind of the process -> request that
someone knowledgeable reviews the code prior to posting -> limit
submitters.

> I am sending this patch as I was involved in getting this code to the
> upstream-ready state and testing it internally.
> However, if other GVE maintainers wish to follow this rule; I am ok
> with your suggestion.